//+------------------------------------------------------------------+
//|                                                                  |
//|                                                                  |
//|                                      www.arabictrader.com/vb     |
//|                                                                  |
//|                                          mrdollar.cs@gmail.com   |
//+------------------------------------------------------------------+

#property copyright "MR.dollarEA"
#property link      "mrdollar.cs@gmail.com"

input double USDProfit=200;
input double USDLoss=0;
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int OnInit()
  {
  

   CreatePanel("Panel_Info_Info1",OBJ_EDIT,"www.ArabicTrader.com",10,25,190,20,DodgerBlue,White,DodgerBlue,11,true,false,0,ALIGN_CENTER);

   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| FUNCTION DEFINITIONS    deinitialization function                |
//+------------------------------------------------------------------+

void OnDeinit(const int reason)
  {
   ObjectDelete(0,"Panel_Info_Info1");
  }
//+------------------------------------------------------------------+
//| FUNCTION DEFINITIONS   Start function                            |
//+------------------------------------------------------------------+

void OnTick()
  {
   if(Profit()>=USDProfit)
     {
      CloseOrders();
     }
   if(Profit()<=-1*(MathAbs(USDLoss)) && USDLoss!=0)
     {
      CloseOrders();
     }
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+

int orderscnt(int type)
  {
   int cnt=0;
   for(int i=0;i<OrdersTotal();i++)
     {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES))
        {
         if(OrderSymbol()==Symbol() && OrderType()==type)
           {
            cnt++;
           }
        }
     }
   return(cnt);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+

void CloseOrders()
  {
   for(int cnt=OrdersTotal()-1; cnt>=0; cnt--)
     {
      bool select=OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);

      if(OrderSymbol()==Symbol())
        {
         if(OrderType()==OP_BUY)
           {
            bool close=OrderClose(OrderTicket(),OrderLots(),NormalizeDouble(Bid,Digits),30);
           }
         else if(OrderType()==OP_SELL)
           {
            close=OrderClose(OrderTicket(),OrderLots(),NormalizeDouble(Ask,Digits),30);
           }

        }

     }
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
double Profit()
  {
   double p;
   for(int i=0;i<OrdersTotal();i++)
     {
      bool select=OrderSelect(i,SELECT_BY_POS,MODE_TRADES);
      if(OrderSymbol()==Symbol())
        {
         p+=OrderProfit();
        }
     }
   return(p);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void CreatePanel(string name,ENUM_OBJECT Type,string text,int XDistance,int YDistance,int Width,int Hight,
                 color BGColor_,color InfoColor,color boarderColor,int fontsize,bool readonly=false,bool Obj_Selectable=false,int Corner=0,ENUM_ALIGN_MODE Align=ALIGN_LEFT)
  {

   if(ObjectFind(0,name)==-1)
     {
      ObjectCreate(0,name,Type,0,0,0);
      ObjectSetInteger(0,name,OBJPROP_XDISTANCE,XDistance);
      ObjectSetInteger(0,name,OBJPROP_YDISTANCE,YDistance);
      ObjectSetInteger(0,name,OBJPROP_XSIZE,Width);
      ObjectSetInteger(0,name,OBJPROP_YSIZE,Hight);
      ObjectSetString(0,name,OBJPROP_TEXT,text);
      ObjectSetString(0,name,OBJPROP_FONT,"Arial Bold");
      ObjectSetInteger(0,name,OBJPROP_FONTSIZE,fontsize);
      ObjectSetInteger(0,name,OBJPROP_CORNER,Corner);
      ObjectSetInteger(0,name,OBJPROP_COLOR,InfoColor);
      ObjectSetInteger(0,name,OBJPROP_BORDER_TYPE,BORDER_FLAT);
      ObjectSetInteger(0,name,OBJPROP_BORDER_COLOR,boarderColor);
      ObjectSetInteger(0,name,OBJPROP_BGCOLOR,BGColor_);
      ObjectSetInteger(0,name,OBJPROP_SELECTABLE,Obj_Selectable);

      if(Type==OBJ_EDIT)
        {
         ObjectSetInteger(0,name,OBJPROP_ALIGN,Align);
         ObjectSetInteger(0,name,OBJPROP_READONLY,readonly);
        }
     }
   if(ObjectDescription(name)!=text && readonly==true)
     {
      ObjectSetString(0,name,OBJPROP_TEXT,text);
     }
  }
//+------------------------------------------------------------------+
